import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";

// import { FisUASRequestMessage } from "../../FisAppQueryModule/message/fis.request.message";
import { RoleTypeProfile, RoleTypeProfileUnion } from "../entities/RoleTypeProfile";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";
import { CommonDataService } from "./Common.dataservice";

export class RoleTypeProfileDataService extends CommonDataService {
    
    public tempData: any;
    static filterClass;
    // static ResponseService: FisUASRequestMessage;
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")

    static data:Record<string,any> = {"serviceId": "Role Type Profile Data", "parameter": "" };

    // static filter:Record<string,any> = {
    //     "acct_id": "integer"
    // };

    constructor(http: HttpService, ucpId: string, data= RoleTypeProfileDataService.data){
        super(http,ucpId, data);

    }

    getData(className,filter,returnFormatType): Observable<typeof RoleTypeProfileUnion> {
      
            let message : Array<typeof RoleTypeProfileUnion> = [];
            let data: RoleTypeProfile[] = [];
 
            return this.getDataWithType(filter,className,message,returnFormatType,data)

    }

    
}