import { Field, ObjectType } from '@nestjs/graphql';
import { Block } from '../../PlantationSiteOperationModule/block/block.entity';

@ObjectType()
export class Phase {
  @Field()
  sec_id: string;
  @Field()
  sec_code: string;
  @Field()
  sec_name: string;
  @Field()
  sec_desc: string;
  @Field()
  pers_id: string;

  @Field()
  db: string;

  @Field((type) => [Block])
  blocks?: Block[];
}
