import { HttpService } from "@nestjs/axios";
import { Observable } from "rxjs";

// import { FisUASRequestMessage } from "../../FisAppQueryModule/message/fis.request.message";
import { AccountProfile,  AccountProfileUnion } from "../entities/AccountProfile";
import { FisCreateMessageUtility } from "../message/fisappmessagejsutility/interface/export";

import { CommonDataService } from "./Common.dataservice";

export class AccountProfileDataService extends CommonDataService {
    
    public tempData: any;
    static filterClass;
    // static ResponseService: FisUASRequestMessage;
    static ResponseService:FisCreateMessageUtility = new FisCreateMessageUtility("FisAppID/Name")
    
    static data:Record<string,any> = {"serviceId": "Account Profile Data", "parameter": "accountType=AP" };


    constructor(http: HttpService, ucpId: string, data= AccountProfileDataService.data){
        super(http,ucpId, data);

    }

    getData(className,filter,returnFormatType): Observable<typeof AccountProfileUnion> {
  
            let message :Array<typeof AccountProfileUnion> = [];
            let data: AccountProfile[] = [];
          
            return this.getDataWithType(filter,className,message,returnFormatType,data)


    }
}