import { ArgsType, Field,  ObjectType } from '@nestjs/graphql';
import { CommonDataServiceArgument, CommonDataServiceMessage } from './CommonDataService.entity';
import { SummaryResponse as SummaryResponseType } from '../message/fisappmessagejsutility/dependencies/dependencies';

export const thisClassName = "DescendentDataService"; 
@ObjectType()
@ArgsType() 
export class DescendentDataServiceArgument extends CommonDataServiceArgument{  
  
    data?: string = thisClassName;  
  
}

@ObjectType()
@ArgsType() 
export class SummaryResponse extends CommonDataServiceMessage implements SummaryResponseType {
  
    @Field(type => String)
    className: string = thisClassName;  

    @Field({ nullable: true })
    filter: string;
    
}
