import { HttpModule } from '@nestjs/axios';
import { Module } from '@nestjs/common';
import { PhaseService } from './phase.service';
import { PhaseResolver } from './phase.resolver';
import { BlockService } from '../../PlantationSiteOperationModule/block/block.service';

@Module({
  imports: [HttpModule],
  providers: [PhaseService, PhaseResolver, BlockService],
})
export class PhaseModule {}
